Update Cash Flow Schedule
PUT /ws/rest/service/v1/cashflow/schedule/{project_number}
Version: 19.7
Purpose
Updates cashflow schedule details.
Request Format
All parameters must be URL encoded.
Specify only the schedule data that needs to be updated. Use the response from the Get Cash Flow Properties REST service to get schedule data.
If the attribute is not provided, the value will not be updated.
If the attribute is provided with value, validation will be performed and the value will be updated.
When the attribute is provided and the value is empty, the value will be deleted.
Irrelevant attributes specified in the request for update are ignored.
Response Format
A JSON object is returned in the following format.
{
"data": [],
"message": [],
"status": <REST status code value>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Sample Request
{
"data":{
"id":198,
"name": "test7521",
"schedule": {
"enable_refresh": true,
"frequency": "Weekly",
"weekday": "Sunday",
"startdate": "06/16/2019 12:00 AM",
"noenddate": false,
"enddate": "06/24/2019 12:00 AM"
}
}
}
Note:
POST call has input & output both as JSON in the body.
For other detail_type sample output, please refer to create/Update Cashflow call.